<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <link rel="icon" href="../assets/favicon.ico" />
    <title>NFDI4Earth - Knowledge Hub</title>
    <!-- Bootstrap core CSS -->
    <link href="../assets/css/bootstrap.min.css" rel="stylesheet" />
    <link href="../assets/css/font-awesome.min.css" rel="stylesheet" />
    <!-- Custom styles for this template -->
    <link href="../assets/css/main.css" rel="stylesheet" />

    <!-- Core JavaScript -->
    <script src="../assets/js/jquery-slim.min.js"></script>
    <script src="../assets/js/bootstrap.min.js"></script>
    <script src="../assets/js/footer.js"></script>
    <!-- Custom data and scripts -->
    <script src="static/js/script.js"></script>
    <script src="static/js/matomo.js"></script>
</head>

<body data-spy="scroll" data-target="#navbarSupportedContent" data-offset="120">
    <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom fixed-top">
        <a href="https://www.nfdi4earth.de" title="NFDI4Earth" class="navbar-brand">
            <img src="../assets/images/NFDI4Earth_logo.png" alt="Logo des NFDI Konsortiums NFDI4Earth" height="60" />
        </a>
        <button class="navbar-toggler mt-3" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse mt-3" id="navbarSupportedContent">
            <ul class="nav nav-pills ml-auto">
                <li class="nav-item">
                    <a class="nav-link" href="#top">Overview</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#examples">Examples</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#contribute">Contribute</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#learn">Documentation</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#resources">Harvested resources</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#citation">Citation</a>
                </li>
            </ul>
        </div>
    </nav>
    <div class="container" id="top">
        <div class="px-3 py-3 pt-md-5 pb-md-4 mx-auto mt-5 text-center">
            <h1 class="display-4">NFDI4Earth</h1>
            <h1 class="display-2">Knowledge Hub</h1>
            <p class="lead">
                Discover semantic resources from the Earth System Sciences (ESS) with our central service.
            </p>
        </div>
    </div>
    <div class="container pb-4">
        <div class="row text-center">
            <div class="col-lg-6 my-2">
                <div class="card h-100">
                    <div class="card-header">
                        <h1 class="my-0 font-weight-normal">Retrieve semantic data</h1>
                    </div>
                    <div class="card-body">
                        <div class="card-text">
                            <p class="lead">You can use the SPARQL endpoint to send specific queries or integrate
                                the
                                data in your application(s).</p>
                            <p>The <a href="https://www.w3.org/TR/sparql11-query/">SPARQL 1.1</a>-compliant endpoint
                                is
                                available here:
                            </p>
                            <p>
                                <i>
                                    <a
                                        href="https://sparql.knowledgehub.nfdi4earth.de">https://sparql.knowledgehub.nfdi4earth.de</a>
                                </i>
                            </p>
                        </div>
                    </div>
                    <div class="card-footer">
                        <a href="https://sparql.knowledgehub.nfdi4earth.de" class="card-button">
                            <button type="button" class="btn btn-lg btn-block btn-primary">
                                Open SPARQL endpoint
                            </button>
                        </a>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 my-2">
                <div class="card h-100">
                    <div class="card-header">
                        <h1 class="my-0 font-weight-normal">Retrieve semantic concepts</h1>
                    </div>
                    <div class="card-body">
                        <div class="card-text">
                            <p class="lead">You are encouraged to use our NFDI4Earth ontology for your semantic
                                modeling
                                tasks.</p>
                            <p>The ontology is described here:
                            </p>
                            <p>
                                <i>
                                    <a href="https://nfdi4earth.de/ontology/">https://nfdi4earth.de/ontology/</a>
                                </i>
                            </p>
                        </div>
                    </div>
                    <div class="card-footer">
                        <a href="https://nfdi4earth.de/ontology/" class="card-button">
                            <button type="button" class="btn btn-lg btn-block btn-primary">
                                Open Ontology
                            </button>
                        </a>
                    </div>
                </div>
            </div>
            <div class="col-lg-12 my-2">
                <div class="card h-100">
                    <div class="card-header">
                        <h1 class="my-0 font-weight-normal">Browse available data</h1>
                    </div>
                    <div class="card-body">
                        <div class="card-text">
                            <p class="lead">
                                To discover the Knowledge Hub data in a human-friendly presentation you should use
                                our
                                OneStop4All web portal.
                            </p>
                            <p>The NFDI4Earth OneStop4All is available here:</p>
                            <p><i><a
                                        href="https://onestop4all.nfdi4earth.de/">https://onestop4all.nfdi4earth.de/</a></i>
                            </p>
                        </div>
                    </div>
                    <div class="card-footer">
                        <a href="https://onestop4all.nfdi4earth.de/" class="card-button">
                            <button type="button" class="btn btn-lg btn-block btn-primary">
                                Open OneStop4All
                            </button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container text-center pt-4 border-top" id="examples">
        <h2>Exemplary queries</h2>
        <div class="row mb-3" id="card-deck"></div>
    </div>
    <div class="container text-center mt-5">
        <a data-toggle="collapse" href="#hidden-card-deck" id="hidden-card-deck-toggle" aria-expanded="false"
            class="btn btn-primary mb-3">
            <i class="fa fa-chevron-circle-up"></i>
            <i class="fa fa-chevron-circle-down"></i>
            More examples generated from our illustrative questions
            <i class="fa fa-chevron-circle-up"></i>
            <i class="fa fa-chevron-circle-down"></i>
        </a>
        <div class="collapse collapse-reverse" id="hidden-card-deck">
            <div class="row"></div>
        </div>
    </div>-
    <div class="container py-4 text-center border-top" id="contribute">
        <h2>Contribute to the code</h2>
        <p>
            You can reuse or extend the source code according to your needs. The Knowledge Hub software project
            is
            provided as
            open-source here:
        </p>
        <p>
            <a
                href="https://git.rwth-aachen.de/nfdi4earth/knowledgehub">https://git.rwth-aachen.de/nfdi4earth/knowledgehub</a>
        </p>
    </div>
    <div class="container py-4 text-center border-top" id="learn">
        <h2>Learn about our harvesting</h2>
        <p>
            You can learn more about harvesting approach and the harvested data sources in our software architecture
            documentation:
        </p>
        <p>
            <a
                href="https://nfdi4earth.pages.rwth-aachen.de/architecture/architecture-docs/#nfdi4earth-system-architecture-documentation">https://nfdi4earth.pages.rwth-aachen.de/architecture/architecture-docs/#nfdi4earth-system-architecture-documentation</a>
        </p>
    </div>
    <div class="container py-4 border-top text-center" id="resources">
        <h2 class="pb-3" id="harvested_resources">Harvested resources</h2>
        <div class="row text-start">
            <table class="table table-hover" id="provider">
                <thead>
                    <tr class="row">
                        <th data-id="provider" class="col-3 border">
                            Data source
                        </th>
                        <th data-id="description" class="col-2 border">
                            Resource type
                        </th>
                        <th data-id="description" class="col-5 border">
                            Description
                        </th>
                        <th data-id="homepage" class="col-2 border">
                            Homepage
                        </th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>
    <div class="container pt-5 pb-2 text-center border-top" id="citation">
        <p>
            Cite the Knowledge Hub as: Degbelo, A., Henzen, C., Grieb, J.,
            Klammer, R., Weiland, C., Bernard, L., & Müller-Pfefferkorn, R.
            (2023). NFDI4Earth Knowledge Hub - Concept (NFDI4Earth Deliverable
            D4.3.2). Zenodo.
            <a href="https://doi.org/10.5281/zenodo.7950860">doi:10.5281/zenodo.7950860</a>
        </p>
    </div>

    <!-- FOOTER is empty a is loaded via JavaScript (as it is uniform and loaded by different pages) -->
    <footer></footer>

    <!-- CARD TEMPLATE which is used to add cards filled with different SPARQL-queries via JavaScript -->
    <div id="card-template" style="display: none">
        <div class="col-md-4 my-2">
            <div class="card h-100">
                <div class="card-header">
                    <h4 class="my-0 font-weight-normal" id="card-header"></h4>
                </div>
                <div class="card-body">
                    <!-- <h5 class="card-title">Description</h5> -->
                    <p class="card-text"></p>
                </div>
                <div class="card-footer">
                    <a href="#" class="card-button">
                        <button type="button" class="btn btn-lg btn-block btn-outline-primary">
                            Try it out
                        </button>
                    </a>
                    <small class="text-muted">
                        <a href="#" class="download" data-type="text%2Fturtle" target="_blank">Turtle</a>
                        <span>|</span>
                        <a href="#" class="download" data-type="text%2Fcsv" target="_blank">CSV</a>
                        <span>|</span>
                        <a href="#" class="download" data-type="application%2Fsparql-results%2Bxml"
                            target="_blank">XML</a>
                        <span>|</span>
                        <a href="#" class="download" data-type="application%2Fsparql-results%2Bjson"
                            target="_blank">JSON</a>
                    </small>
                </div>
            </div>
        </div>
    </div>
    <script type="application/ld+json">
    {
        "@context": {
            "schema": "http://schema.org/",
            "dcat": "http://www.w3.org/ns/dcat#"
        },
        "@graph": [{
                "@id": "https://knowledgehub.nfdi4earth.de/",
                "@type": ["schema:DataCatalog", "dcat:Catalog"],
                "schema:name": "NFDI4Earth Knowledge Hub",
                "schema:description": "The central service which stores information on various research products from the Earth System Sciences.",
            ]
        }
    </script>
</body>

</html>